﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\TSATE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSATE_PUPUPDATA_DECLARE') 
 CREATE TABLE T_TSATE_PUPUPDATA_DECLARE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSBBTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FCHANNEL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSINESSDATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBUSINESSDATA_TAG NCLOB,
FPUPUPSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOPUPDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FPOPUPDATA_TAG NCLOB,
FNOWPOPUP CHAR(1) DEFAULT '0' NOT NULL
);


/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\TSATE_constraint.sql **/
 EXEC P_ALTERPK 'PK_TSATE_PUPUPDATA_DECLARE', 'T_TSATE_PUPUPDATA_DECLARE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSATE_PUPD_SBBID') CREATE INDEX IDX_TSATE_PUPD_SBBID ON T_TSATE_PUPUPDATA_DECLARE ( FSBBID );




/**End C:\anzhuang\PDM_UPGRADE\PDM1\TSATE_table.sql **/
