﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSATE_API_TOKEN') 
 CREATE TABLE T_TSATE_API_TOKEN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCHANNEL BIGINT DEFAULT 0 NOT NULL,
FTIMEOUT VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOKEN VARCHAR(255) DEFAULT ' ' NOT NULL,
FTOKEN_TAG NCLOB
);

 EXEC P_ALTERPK 'PK_TSATE_API_TOKEN', 'T_TSATE_API_TOKEN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSATE_APITOK_NUM') CREATE INDEX IDX_TSATE_APITOK_NUM ON T_TSATE_API_TOKEN ( FBILLNO );


